Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class OpenStreetMap

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.OpenStreetMap

    public class OpenStreetMap

extends Object

Represents a street in OpenStreetMap. it is different from `Street` that represent a street in Geonames.

Author:
  David Masclet

Field Summary
`static String` | `FULLTEXTSEARCH_COLUMN_NAME` Name of the column that is equals to store a string that is used for fulltext search. it deffer form the @`FULLTEXTSEARCH_COLUMN_NAME` because Hibernate, by default, lowercase the property to get the column name This value should be change if the getter and the setter of the `getTextsearchVector()` change
`static String` | `FULLTEXTSEARCH_PROPERTY_NAME` Name of the field property in hibernate.
`static String` | `FULLTEXTSEARCH_VECTOR_PROPERTY_NAME` Name of the column that is equals to to_tsvector( `FULLTEXTSEARCH_COLUMN_NAME` It is used to do Fulltext search with the postgres text search module (to use the index).
`static String` | `LOCATION_COLUMN_NAME`
`static String` | `PARTIALSEARCH_COLUMN_NAME` Name of the column that is used to store a string used for partial search with postgres fulltext engine This value should be change if the getter and the setter of the `getPartialsearchVector()` change
`static String` | `PARTIALSEARCH_VECTOR_PROPERTY_NAME` (Experimental) Name of the column that is equals to to_tsvector( `PARTIALSEARCH_COLUMN_NAME` It is used to do Fulltext search with the postgres text search module (to use the index) This value should be change if the getter and the setter of the `partialSearchName` change
`static String` | `SHAPE_COLUMN_NAME`

Constructor Summary
`OpenStreetMap()` Needed by CGLib

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getCountryCode()`
`Long` | `getGid()`
`Long` | `getId()`
`String` | `getIsIn()`
`Double` | `getLatitude()`
`Double` | `getLength()`
`com.vividsolutions.jts.geom.Point` | `getLocation()` Returns The JTS location point of the current street : The Geometry representation for the latitude, longitude.
`Double` | `getLongitude()`
`String` | `getName()`
`Long` | `getOpenstreetmapId()`
`String` | `getPartialSearchName()` (Experimental) This String is used to search for a part of a street name
`String` | `getPartialsearchVector()` IT DOES NOTHING.
`com.vividsolutions.jts.geom.LineString` | `getShape()`
`com.gisgraphy.street.StreetType` | `getStreetType()`
`String` | `getTextSearchName()` This value is use to do a Fulltext search for a street name with index
`String` | `getTextsearchVector()` IT DOES NOTHING.
`int` | `hashCode()`
`boolean` | `isOneWay()`
`void` | `setCountryCode(String countryCode)`
`void` | `setGid(Long gid)`
`void` | `setId(Long id)`
`void` | `setIsIn(String isIn)`
`void` | `setLength(Double length)`
`void` | `setLocation(com.vividsolutions.jts.geom.Point location)`
`void` | `setName(String name)`
`void` | `setOneWay(boolean oneWay)`
`void` | `setOpenstreetmapId(Long openstreetmapId)`
`void` | `setPartialSearchName(String partialSearchName)`
`void` | `setPartialsearchVector(String partialsearchVector)` IT DOES NOTHING.
`void` | `setShape(com.vividsolutions.jts.geom.LineString shape)`
`void` | `setStreetType(com.gisgraphy.street.StreetType streetType)`
`void` | `setTextSearchName(String textSearchName)`
`void` | `setTextsearchVector(String textsearchVector)` IT DOES NOTHING.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHAPE_COLUMN_NAME

    public static final String SHAPE_COLUMN_NAME

See Also:
  Constant Field Values

### FULLTEXTSEARCH_VECTOR_PROPERTY_NAME

    public static final String FULLTEXTSEARCH_VECTOR_PROPERTY_NAME

  Name of the column that is equals to to_tsvector( `FULLTEXTSEARCH_COLUMN_NAME` It is used to do Fulltext search with the postgres text search module (to use the index). This value should be change if the getter and the setter of the `textSearchName` change

  See Also:
    Constant Field Values

### PARTIALSEARCH_VECTOR_PROPERTY_NAME

    public static final String PARTIALSEARCH_VECTOR_PROPERTY_NAME

  (Experimental) Name of the column that is equals to to_tsvector( `PARTIALSEARCH_COLUMN_NAME` It is used to do Fulltext search with the postgres text search module (to use the index) This value should be change if the getter and the setter of the `partialSearchName` change

  See Also:
    `GisgraphyConfig.PARTIAL_SEARH_EXPERIMENTAL`, Constant Field Values

### FULLTEXTSEARCH_PROPERTY_NAME

    public static final String FULLTEXTSEARCH_PROPERTY_NAME

  Name of the field property in hibernate. This is a string that is used for fulltext and contains search without postgres fulltext engine. this fields will have the name without accent and special char This value should be changed if the getter and the setter of the `getTextsearchVector()` change

  See Also:
    `StreetSearchMode.FULLTEXT`, Constant Field Values

### FULLTEXTSEARCH_COLUMN_NAME

    public static final String FULLTEXTSEARCH_COLUMN_NAME

  Name of the column that is equals to store a string that is used for fulltext search. it deffer form the @`FULLTEXTSEARCH_COLUMN_NAME` because Hibernate, by default, lowercase the property to get the column name This value should be change if the getter and the setter of the `getTextsearchVector()` change

  See Also:
    `StreetSearchMode.FULLTEXT`

### PARTIALSEARCH_COLUMN_NAME

    public static final String PARTIALSEARCH_COLUMN_NAME

  Name of the column that is used to store a string used for partial search with postgres fulltext engine This value should be change if the getter and the setter of the `getPartialsearchVector()` change

  See Also:
    `GisgraphyConfig.PARTIAL_SEARH_EXPERIMENTAL`, `StreetSearchMode.CONTAINS`, Constant Field Values

### LOCATION_COLUMN_NAME

    public static final String LOCATION_COLUMN_NAME

See Also:
  Constant Field Values

Constructor Detail

### OpenStreetMap

    public OpenStreetMap()

  Needed by CGLib

Method Detail

### getPartialSearchName

    public String getPartialSearchName()

  (Experimental) This String is used to search for a part of a street name

  Returns:
    the partialSearchName
  See Also:
    `StreetSearchMode.CONTAINS`, `GisgraphyConfig.PARTIAL_SEARH_EXPERIMENTAL`

### setPartialSearchName

    public void setPartialSearchName(String partialSearchName)

  Parameters:
    `partialSearchName` - the partialSearchName to set

### getTextSearchName

    public String getTextSearchName()

  This value is use to do a Fulltext search for a street name with index

  Returns:
    the textSearchName

### setTextSearchName

    public void setTextSearchName(String textSearchName)

  Parameters:
    `textSearchName` - the textSearchName to set

### getTextsearchVector

    public String getTextsearchVector()

  IT DOES NOTHING. ONLY USE BY HIBERNATE This field is only use for the text search to improve performance, you should not set / get a value, it is declared here, to create the column

  Returns:
    null ALWAYS

### setTextsearchVector

    public void setTextsearchVector(String textsearchVector)

  IT DOES NOTHING. ONLY USE BY HIBERNATE

  Parameters:
    `textsearchVector` - the textsearchVector to set

### getPartialsearchVector

    public String getPartialsearchVector()

  IT DOES NOTHING. ONLY USE BY HIBERNATE This field is only use for the autocomplete search to improve performance, you should not set / get a value, it is declared here, to create the column

  Returns:
    null ALWAYS

### setPartialsearchVector

    public void setPartialsearchVector(String partialsearchVector)

  IT DOES NOTHING. ONLY USE BY HIBERNATE

  Parameters:
    `partialsearchVector` - the ilikesearch to set

### getId

    public Long getId()

  Returns:
    the id

### setId

    public void setId(Long id)

  Parameters:
    `id` - the id to set

### getGid

    public Long getGid()

  Returns:
    an uniqueid that identify the street, it differs from `openstreetmapId` because the value can not be in conflict between geonames and openstreetmap

### setGid

    public void setGid(Long gid)

  Parameters:
    `gid` - the gid to set

### getOpenstreetmapId

    public Long getOpenstreetmapId()

  Returns:
    the openstreetmap internal id

### setOpenstreetmapId

    public void setOpenstreetmapId(Long openstreetmapId)

  Parameters:
    `openstreetmapId` - the openstreetmap internal id

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getStreetType

    public com.gisgraphy.street.StreetType getStreetType()

  Returns:
    the type of the street

### setStreetType

    public void setStreetType(com.gisgraphy.street.StreetType streetType)

  Parameters:
    `streetType` - the streetType to set

### isOneWay

    public boolean isOneWay()

  Returns:
    the oneway

### setOneWay

    public void setOneWay(boolean oneWay)

  Parameters:
    `oneWay` - the oneWay to set

### getLocation

    public com.vividsolutions.jts.geom.Point getLocation()

  Returns The JTS location point of the current street : The Geometry representation for the latitude, longitude. The Return type is a JTS point. The Location is calculate from the 4326 `SRID`

  Returns:
    The JTS Point
  See Also:
    `SRID`

### getLatitude

    public Double getLatitude()

  Returns:
    Returns the latitude (north-south) from the Location `getLocation()`.
  See Also:
    `getLongitude()`, `getLocation()`

### getLongitude

    public Double getLongitude()

  Returns:
    Returns the longitude (east-west) from the Location `getLocation()`.
  See Also:
    `getLongitude()`, `getLocation()`

### setLocation

    public void setLocation(com.vividsolutions.jts.geom.Point location)

  Parameters:
    `location` - the location to set

### getShape

    public com.vividsolutions.jts.geom.LineString getShape()

  Returns:
    the shape

### setShape

    public void setShape(com.vividsolutions.jts.geom.LineString shape)

  Parameters:
    `shape` - the shape to set

### getCountryCode

    public String getCountryCode()

  Returns:
    The ISO 3166 alpha-2 letter code.

### setCountryCode

    public void setCountryCode(String countryCode)

  Parameters:
    `countryCode` - the countryCode to set

### getLength

    public Double getLength()

  Returns:
    the length of the street in meters

### setLength

    public void setLength(Double length)

  Parameters:
    `length` - the length to set

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getIsIn

    public String getIsIn()

  Returns:
    The city or state or any information where the street is located

### setIsIn

    public void setIsIn(String isIn)

  Parameters:
    `isIn` - The city or state or any information where the street is located

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.